X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

After downloading the "new version" of Java 6 times, my plugin-check page states that it has disabled my "outdated version" and asks for me to upgrade. What do?

Posted

Background: I have had this problem for several months, now. This problem began when an update came for Java on the Firefox Plugin-check. I promptly installed the new Java update. But the Firefox update wouldn't register that I downloaded it, even after I refreshed the page. So, I got rid of the old Java, and downloaded the new Java again. When the page continued to display the same message it had before, I downloaded it a few more times. Finally, Firefox stopped saying that I was out of date. Then a few weeks later maybe, I check Firefox Plugin, and on the page it says that I am outdated in Java. So I downloaded Java again. But Java was still in the list, with red and said that it needed to be updated. I restarted the computer. Then, I restarted Mozilla Firefox with no add-ons. When Java still appeared that it needed to be updated, I gave up and didn't do a thing more about it. Problem: Today I decided to check my plugins. Java was not in update the list, and at the top a banner stated, "Missing JAVA? For your safety, Firefox has disabled your outdated version of Java. Please upgrade to the latest version." I clicked "upgrade to the latest version" and was led to the Java page. I clicked the download button. My cache stated that this was the (6) download of that same Java plugin (see background). I chose to re-download it anyways. But Firefox still insists that I have not downloaded it. Question: Do I need to go to the control panel of Java and change something? Do I need to fix some setting on Firefox? Should I disable Java altogether, delete all Java-related files on my computer, and start all over with Java? What should I do?

Chosen solution

Try using http://ninite.com/java/ninite.exe to install Java. Please note that even though you download it you have to double click it to get it to run and install.

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.5
  • McAfee MSS+ NPAPI Plugin
  • Google Update
  • SiteAdvisor
  • 5.1.10411.0
  • GEPlugin
  • eMusic Download Manager and eMusic Remote Plugin
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6641 answers

Chosen Solution

Try using http://ninite.com/java/ninite.exe to install Java. Please note that even though you download it you have to double click it to get it to run and install.

Question owner

hooooray! Thank you =D

Question owner

hooooray! Thank you =D